Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004633OCamlOCaml generalpublic2008-10-31 17:472009-01-26 18:30
Reportermatt 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0+beta 
Target VersionFixed in Version3.11.0 
Summary0004633: I was not able to compile mingw version
Description1/ What version of Tcl/Tk can be used?

I tried with the very last version in the 8.4 serial.
ActiveTcl8.4.19.1.286921-win32-ix86-threaded

But I've got errors when doing make -f Makefile.nt world:

make[2]: Entering directory `/cygdrive/c/Documents and Settings/matt/Bureau/ocam
l-3.11.0+beta1/otherlibs/labltk/support'
../../../boot/ocamlrun ../../../tools/ocamlmklib -o labltk cltkCaml.o cltkUtf.o
cltkEval.o cltkEvent.o cltkFile.o cltkMain.o cltkMisc.o cltkTimer.o cltkVar.o cl
tkWait.o cltkImg.o -ldopt "c:/tcl/lib/tk84.lib c:/tcl/lib/tcl84.lib -lws2_32"
Cannot export ⌂tcl84_NULL_THUNK_DATA: symbol not found
Cannot export ⌂tk84_NULL_THUNK_DATA: symbol not found
collect2: ld returned 1 exit status
** Fatal error: Error during linking

2/ In another computer, I have a Tcl/Tk 8.4 installed in "Program Files" directory: I was not able to configure the Makefile correctly with this spaced path

3/ Is it possible to use the ocamlbuild tool to compile this version?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004699)
matt (reporter)
2008-11-02 15:29

Trying again at home: I'm using VirtualBox, with XP Pro as guest OS (only linux at home).

I can not have 'flexlink.exe' run. (binary 0.10 version, downloaded from Alain Frisch's web page).
(0004700)
xleroy (administrator)
2008-11-04 09:24

The linking problem with Tcl/Tk 8.4 should go away if you put in config/Makefile:

TK_LINK=$(TK_ROOT)/bin/tk84.dll $(TK_ROOT)/bin/tcl84.dll -lws2_32

i.e. link directly with the DLLs rather than with the import libraries, which Mingw doesn't like for some reason.

This will be fixed in the 3.11 release.

Regarding flexlink, it's been working flawlessly for me so far. Could you provide more details?
(0004701)
matt (reporter)
2008-11-04 13:13

Sorry for the noise: I SHOULD have seen that!

About point 2/ : I used a dos path (cygpath -d)

About flexlink problem: I will check and report the problem (if reproduced) directly to Alain. Note that I had the problem inside a virtal box (XP guest OS, linux host OS).

Thanks for all
(0004702)
matt (reporter)
2008-11-04 20:39

FlexDLL

I downloaded the binary files from Alain to both a virtual PC and a real one.
For some reason Windows does not want to run flexlink.exe.

On the virtual box, I then downloaded version 3.10.2 of Objective Caml, and had the mingw chain version of flexlink compiled and working.

strange
(0004704)
matt (reporter)
2008-11-06 05:44

Informatiion à propos du problème flexlink, après analyse par Alain Frisch : il apparaît que la version binaire proposée au téléchargement a été compilée avec les outils Microsoft, et qu’elle dépend d’une DLL (MSVCR80) qu’on ne trouve pas sur une installation par défaut de Windows XP Pro ! Il va proposer une version compilée avec mingw, qui elle dépend de la plus classique (MSVCRT).

- Issue History
Date Modified Username Field Change
2008-10-31 17:47 matt New Issue
2008-11-02 15:29 matt Note Added: 0004699
2008-11-04 09:24 xleroy Note Added: 0004700
2008-11-04 09:24 xleroy Status new => feedback
2008-11-04 13:13 matt Note Added: 0004701
2008-11-04 20:39 matt Note Added: 0004702
2008-11-06 05:44 matt Note Added: 0004704
2008-11-09 10:44 xleroy Status feedback => resolved
2008-11-09 10:44 xleroy Resolution open => fixed
2009-01-26 18:30 xleroy Status resolved => closed
2009-01-26 18:30 xleroy Fixed in Version => 3.11.0


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker